'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

var _properties = require('./properties');

var _properties2 = _interopRequireDefault(_properties);

var _values = require('./values');

var _values2 = _interopRequireDefault(_values);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _postcss2.default.plugin('postcss-dutch-stylesheets', function (opts) {
  opts = opts || {};

  return function (css) {
    css.walkDecls(function (decl) {
      /**
       * Convert Properties
       */
      Object.keys(_properties2.default).forEach(function (property) {
        if (decl.prop === _properties2.default[property]) {
          decl.prop = property;
        }
      });

      /**
       * Convert Values
       */
      Object.keys(_values2.default).forEach(function (value) {
        decl.value = decl.value.replace(_values2.default[value], value);
      });

      /**
       * Convert "!belangrijk"
       */
      if (decl.value.indexOf('!belangrijk') >= 0) {
        decl.value = decl.value.replace(/\s*!belangrijk\s*/, '');
        decl.important = true;
      }
    });
  };
});